declare const _sfc_main: import("vue").DefineComponent<{
    item: {
        type: ObjectConstructor;
        default: () => {};
    };
    index: {
        type: NumberConstructor;
        require: boolean;
    };
    label: StringConstructor;
}, {
    variableData: import("vue").Ref<Record<string, any>>;
    typeOption: {
        label: string;
        value: string;
    }[];
    dataTypeOption: {
        label: string;
        value: string;
    }[];
    usedComponentList: import("vue").ComputedRef<any>;
    formatOptions: import("vue").ComputedRef<{
        label: string;
        value: string;
    }[]>;
    rangeTypeOptions: {
        label: string;
        value: string;
    }[];
    isShowFormat: import("vue").ComputedRef<boolean>;
    isDateRangeComponent: import("vue").ComputedRef<boolean>;
    isShowDateOperate: import("vue").ComputedRef<boolean>;
    popoverVisible: import("vue").Ref<boolean>;
    idFilterOption: (inputValue: string, option: {
        [key: string]: any;
    }) => any;
    onChangeComponent: (value: string, option: {
        [key: string]: any;
    }) => void;
    onDelete: () => void;
    onChangeDataType: () => void;
    onChangeVariableType: () => void;
    changeTab: (activeKey: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    item: {
        type: ObjectConstructor;
        default: () => {};
    };
    index: {
        type: NumberConstructor;
        require: boolean;
    };
    label: StringConstructor;
}>>, {
    item: Record<string, any>;
}, {}>;
export default _sfc_main;
